読者です 読者をやめる 読者になる 読者になる

Flex環境を整える続き。githubの使い方も含めて

rascutをgemからインストールすると上手く行かない件の続き

id:ma38suからgithubから取ってくると良いと言われたのでgithubのgemを試してみたが、インストールできるものの、rascutの起動に失敗する。

gemではなくgit cloneでパッケージを取ってくる。

cloneするための.gitのある場所はgithubリポジトリ表示のページ
http://github.com/hotchpotch/rascut/tree/master
にPublic Clone URLとして書いてある。

 $ git clone git://github.com/hotchpotch/rascut.git

これで、カレントディレクトリにソース全体のコピー ./rascut ができる。

いろいろ試してみる

  • ./rascut/bin/rascut で実行すると上手く動く
  • なにも変更しないでgemをbuildして、インストールしてみる
 $ gem build rascut.gemspec
 $ sudo gem install rascut-0.2.0.gem
  • やっぱり上手く動かない
  • /usr/bin/rascut の中身はgem install hotchpotch-rascutでインストールしたのと同じ
  • 一度アンインストールして、rascut.gemspecを更新して再挑戦
 $ mv rascut.gemspec rascut.gemspec.org #バックアップ
 $ rake --silent debug_gem > rascut.gemspec
 $ gem build rascut.gemspec
 $ sudo gem install rascut-0.2.0.gem
  • 動いたよーやったー!
  • という訳で、rascut.gemspecを更新していただけないでしょうかid:secondlifeさん。

Emacsの設定とか

http://d.hatena.ne.jp/koyachi/20070327/1174989643
を参考にactionscipt-mode.elを導入。上記サイト通りにやればシンタックスハイライトまでは問題ない。